## gedit-plugins 3.31.90

=== debian/changelog ===
gedit-plugins (3.31.90-1) experimental; urgency=medium

  * New upstream development release
  * Re-enable parallel building since intltool is no longer used
  * Switch from GtkSourceView 3 to 4

 -- Jeremy Bicha <jbicha@debian.org>  Sun, 03 Feb 2019 19:52:22 -0500

=== debian/control ===
# This file is autogenerated. DO NOT EDIT!
#
# Modifications should be made to debian/control.in instead.
# This file is regenerated automatically in the clean target.
Source: gedit-plugins
Section: gnome
Priority: optional
Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
Uploaders: Jeremy Bicha <jbicha@debian.org>, Laurent Bigonville <bigon@debian.org>
Build-Depends: debhelper (>= 11),
               appstream,
               dh-python (>= 1.20130902),
               yelp-tools,
               gnome-pkg-tools (>= 0.11),
               libdbus-1-dev,
               libgit2-glib-1.0-dev (>= 0.0.6),
               libglib2.0-dev (>= 2.32.0),
               libgtk-3-dev (>= 3.9.0),
               libgtksourceview-4-dev,
               libgucharmap-2-90-dev,
               libpeas-dev (>= 1.7.0),
               valac (>= 0.28.0),
               libvte-2.91-dev,
               libzeitgeist-2.0-dev,
               gedit-dev (>= 3.16.0),
               python3,
               python3-dbus (>= 0.83.1),
               python-dbus-dev,
               python3-gi
Standards-Version: 4.3.0
Vcs-Browser: https://salsa.debian.org/gnome-team/gedit-plugins
Vcs-Git: https://salsa.debian.org/gnome-team/gedit-plugins.git
Homepage: https://wiki.gnome.org/Apps/Gedit#Plugins

Package: gedit-plugins
Architecture: all
Depends: ${shlibs:Depends},
         ${misc:Depends},
         gedit-plugin-bookmarks,
         gedit-plugin-bracket-completion,
         gedit-plugin-character-map,
         gedit-plugin-code-comment,
         gedit-plugin-color-picker,
         gedit-plugin-color-schemer,
         gedit-plugin-commander,
#         gedit-plugin-dashboard,
         gedit-plugin-draw-spaces,
         gedit-plugin-find-in-files,
         gedit-plugin-git,
         gedit-plugin-join-lines,
         gedit-plugin-multi-edit,
         gedit-plugin-smart-spaces,
         gedit-plugin-synctex,
         gedit-plugin-terminal,
         gedit-plugin-translate,
         gedit-plugin-word-completion,
         gedit-plugin-zeitgeist
Enhances: gedit
Description: set of plugins for gedit
 gedit-plugins contain a set of plugins for gedit, GNOME's text editor.
 .
 The plugins are now split in separate packages; this metapackage brings all
 of them but they can be installed separately.

Package: gedit-plugins-common
Architecture: any
Depends: ${shlibs:Depends},
         ${misc:Depends}
Enhances: gedit
Breaks: gedit-plugins (<< 3.22.0-2~)
Replaces: gedit-plugins (<< 3.22.0-2~)
Description: common files for gedit-plugins
 gedit-plugins contain a set of plugins for gedit, GNOME's text editor.
 .
 This package contains common data files and translations.

Package: gedit-plugin-bookmarks
Architecture: any
Depends: ${shlibs:Depends},
         ${misc:Depends},
         gedit (>= ${gnome:Version}),
         gedit-plugins-common (>= ${source:Version})
Enhances: gedit
Breaks: gedit-plugins (<< 3.22.0-2~)
Replaces: gedit-plugins (<< 3.22.0-2~)
Description: Bookmarks plugin for gedit
 gedit-plugins contain a set of plugins for gedit, GNOME's text editor.
 .
 This plugin enables easy document navigation with bookmarks.

Package: gedit-plugin-bracket-completion
Architecture: any
Depends: ${shlibs:Depends},
         ${misc:Depends},
         ${python3:Depends},
         gedit (>= ${gnome:Version}),
         gedit-plugins-common (>= ${source:Version}),
         gir1.2-glib-2.0,
         gir1.2-gtk-3.0,
         gir1.2-peas-1.0,
         python3-gi
Enhances: gedit
Breaks: gedit-plugins (<< 3.22.0-2~)
Replaces: gedit-plugins (<< 3.22.0-2~)
Description: Bracket Completion plugin for gedit
 gedit-plugins contain a set of plugins for gedit, GNOME's text editor.
 .
 This plugin automatically adds closing brackets.

Package: gedit-plugin-character-map
Architecture: any
Depends: ${shlibs:Depends},
         ${misc:Depends},
         ${python3:Depends},
         gedit (>= ${gnome:Version}),
         gedit-plugins-common (>= ${source:Version}),
         gir1.2-gtk-3.0,
         gir1.2-gucharmap-2.90,
         python3-gi
Enhances: gedit
Breaks: gedit-plugins (<< 3.22.0-2~)
Replaces: gedit-plugins (<< 3.22.0-2~)
Description: Character Map plugin for gedit
 gedit-plugins contain a set of plugins for gedit, GNOME's text editor.
 .
 This plugin allows inserting special characters just by clicking on them.

Package: gedit-plugin-code-comment
Architecture: any
Depends: ${shlibs:Depends},
         ${misc:Depends},
         ${python3:Depends},
         gedit (>= ${gnome:Version}),
         gedit-plugins-common (>= ${source:Version}),
         gir1.2-glib-2.0,
         gir1.2-gtk-3.0,
         gir1.2-gtksource-4,
         python3-gi
Enhances: gedit
Breaks: gedit-plugins (<< 3.22.0-2~)
Replaces: gedit-plugins (<< 3.22.0-2~)
Description: Code Comment plugin for gedit
 gedit-plugins contain a set of plugins for gedit, GNOME's text editor.
 .
 This plugin enables commenting or uncommenting blocks of code.

Package: gedit-plugin-color-picker
Architecture: any
Depends: ${shlibs:Depends},
         ${misc:Depends},
         ${python3:Depends},
         gedit (>= ${gnome:Version}),
         gedit-plugins-common (>= ${source:Version}),
         gir1.2-glib-2.0,
         gir1.2-gtk-3.0,
         python3-gi
Enhances: gedit
Breaks: gedit-plugins (<< 3.22.0-2~)
Replaces: gedit-plugins (<< 3.22.0-2~)
Description: Color Picker plugin for gedit
 gedit-plugins contain a set of plugins for gedit, GNOME's text editor.
 .
 This plugin inserts the hexademical representation of a selected color.

Package: gedit-plugin-color-schemer
Architecture: any
Depends: ${shlibs:Depends},
         ${misc:Depends},
         ${python3:Depends},
         gedit (>= ${gnome:Version}),
         gedit-plugins-common (>= ${source:Version}),
         gir1.2-gdkpixbuf-2.0,
         gir1.2-glib-2.0,
         gir1.2-gtk-3.0,
         gir1.2-gtksource-4,
         python3-gi
Enhances: gedit
Breaks: gedit-plugins (<< 3.22.0-2~)
Replaces: gedit-plugins (<< 3.22.0-2~)
Description: Color Schemer plugin for gedit
 gedit-plugins contain a set of plugins for gedit, GNOME's text editor.
 .
 This plugin enables editing the color scheme used to display source code.

Package: gedit-plugin-commander
Architecture: any
Depends: ${shlibs:Depends},
         ${misc:Depends},
         ${python3:Depends},
         gedit (>= ${gnome:Version}),
         gedit-plugins-common (>= ${source:Version}),
         gir1.2-glib-2.0,
         gir1.2-gtk-3.0,
         gir1.2-pango-1.0,
         python3-cairo,
         python3-gi
Enhances: gedit
Breaks: gedit-plugins (<< 3.22.0-2~)
Replaces: gedit-plugins (<< 3.22.0-2~)
Description: Commander plugin for gedit
 gedit-plugins contain a set of plugins for gedit, GNOME's text editor.
 .
 This plugin adds a command line interface for advanced editing.

Package: gedit-plugin-draw-spaces
Architecture: any
Depends: ${shlibs:Depends},
         ${misc:Depends},
         gedit (>= ${gnome:Version}),
         gedit-plugins-common (>= ${source:Version})
Enhances: gedit
Breaks: gedit-plugins (<< 3.22.0-2~)
Replaces: gedit-plugins (<< 3.22.0-2~)
Description: Draw Spaces plugin for gedit
 gedit-plugins contain a set of plugins for gedit, GNOME's text editor.
 .
 This plugin shows a visual representation of spaces and tabs.

Package: gedit-plugin-find-in-files
Architecture: any
Depends: ${shlibs:Depends},
         ${misc:Depends},
         gedit (>= ${gnome:Version}),
         gedit-plugins-common (>= ${source:Version})
Enhances: gedit
Breaks: gedit-plugins (<< 3.22.0-2~)
Replaces: gedit-plugins (<< 3.22.0-2~)
Description: Find in Files plugin for gedit
 gedit-plugins contain a set of plugins for gedit, GNOME's text editor.
 .
 This plugin enables searching for text in all files of a folder.

Package: gedit-plugin-git
Architecture: any
Depends: ${shlibs:Depends},
         ${misc:Depends},
         ${python3:Depends},
         gedit (>= ${gnome:Version}),
         gedit-plugins-common (>= ${source:Version}),
         gir1.2-ggit-1.0,
         gir1.2-glib-2.0,
         gir1.2-gtk-3.0,
         gir1.2-gtksource-4,
         python3-gi,
         python3-gi-cairo
Enhances: gedit
Description: Git plugin for gedit
 gedit-plugins contain a set of plugins for gedit, GNOME's text editor.
 .
 This plugin highlight lines that have been changed since the last git commit.

Package: gedit-plugin-join-lines
Architecture: any
Depends: ${shlibs:Depends},
         ${misc:Depends},
         ${python3:Depends},
         gedit (>= ${gnome:Version}),
         gedit-plugins-common (>= ${source:Version}),
         gir1.2-glib-2.0,
         gir1.2-gtk-3.0,
         python3-gi
Enhances: gedit
Breaks: gedit-plugins (<< 3.22.0-2~)
Replaces: gedit-plugins (<< 3.22.0-2~)
Description: Join/Split Lines plugin for gedit
 gedit-plugins contain a set of plugins for gedit, GNOME's text editor.
 .
 This plugin enables joining several lines or splitting long lines.

Package: gedit-plugin-multi-edit
Architecture: any
Depends: ${shlibs:Depends},
         ${misc:Depends},
         ${python3:Depends},
         gedit (>= ${gnome:Version}),
         gedit-plugins-common (>= ${source:Version}),
         gir1.2-glib-2.0,
         gir1.2-gtk-3.0,
         gir1.2-pango-1.0,
         python3-gi,
         python3-gi-cairo
Enhances: gedit
Breaks: gedit-plugins (<< 3.22.0-2~)
Replaces: gedit-plugins (<< 3.22.0-2~)
Description: Multi Edit plugin for gedit
 gedit-plugins contain a set of plugins for gedit, GNOME's text editor.
 .
 This plugin enables editing a document in multiple places at once.

Package: gedit-plugin-smart-spaces
Architecture: any
Depends: ${shlibs:Depends},
         ${misc:Depends},
         ${python3:Depends},
         gedit (>= ${gnome:Version}),
         gedit-plugins-common (>= ${source:Version}),
         gir1.2-glib-2.0,
         gir1.2-gtk-3.0,
         gir1.2-gtksource-4,
         python3-gi
Enhances: gedit
Breaks: gedit-plugins (<< 3.22.0-2~)
Replaces: gedit-plugins (<< 3.22.0-2~)
Description: Smart Spaces plugin for gedit
 gedit-plugins contain a set of plugins for gedit, GNOME's text editor.
 .
 This plugin inserts spaces automatically when pressing the tab key.

Package: gedit-plugin-synctex
Architecture: any
Depends: ${shlibs:Depends},
         ${misc:Depends},
         gedit (>= ${gnome:Version}),
         gedit-plugins-common (>= ${source:Version}),
         ${python3:Depends},
         gir1.2-glib-2.0,
         gir1.2-gtk-3.0,
         gir1.2-pango-1.0,
         gir1.2-peas-1.0,
         python3-dbus,
         python3-gi
Enhances: gedit
Breaks: gedit-plugins (<< 3.22.0-2~)
Replaces: gedit-plugins (<< 3.22.0-2~)
Description: SyncTex plugin for gedit
 gedit-plugins contain a set of plugins for gedit, GNOME's text editor.
 .
 This plugin synchronizes between LaTex (using gedit) and PDF (using evince).

Package: gedit-plugin-terminal
Architecture: any
Depends: ${shlibs:Depends},
         ${misc:Depends},
         ${python3:Depends},
         gedit (>= ${gnome:Version}),
         gedit-plugins-common (>= ${source:Version}),
         gir1.2-glib-2.0,
         gir1.2-gtk-3.0,
         gir1.2-pango-1.0,
         gir1.2-peas-1.0,
         gir1.2-vte-2.91,
         python3-gi
Enhances: gedit
Breaks: gedit-plugins (<< 3.22.0-2~)
Replaces: gedit-plugins (<< 3.22.0-2~)
Description: Terminal plugin for gedit
 gedit-plugins contain a set of plugins for gedit, GNOME's text editor.
 .
 This plugin embeds a terminal in the bottom pane.

Package: gedit-plugin-text-size
Architecture: any
Depends: ${shlibs:Depends},
         ${misc:Depends},
         ${python3:Depends},
         gedit (>= ${gnome:Version}),
         gedit-plugins-common (>= ${source:Version}),
         gir1.2-glib-2.0,
         gir1.2-gtk-3.0,
         gir1.2-pango-1.0,
         python3-gi
Enhances: gedit
Breaks: gedit-plugins (<< 3.22.0-2~)
Replaces: gedit-plugins (<< 3.22.0-2~)
Description: Text Size plugin for gedit
 gedit-plugins contain a set of plugins for gedit, GNOME's text editor.
 .

=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS = hardening=+all
export DEB_LDFLAGS_MAINT_APPEND = -Wl,-O1 -Wl,--as-needed

export PYTHON = /usr/bin/python3

%:
	dh $@ --with gnome,python3

override_dh_autoreconf:
	NOCONFIGURE=true dh_autoreconf ./autogen.sh

override_dh_auto_configure:
	dh_auto_configure -- \
		--enable-python \
		--enable-vala

override_dh_install:
	find debian/tmp -name '*.la' -print -delete
	find debian/tmp -name '*dashboard*' | xargs -r rm -rf
	find debian/tmp -name '__pycache__' | xargs -r rm -rf
	dh_install

override_dh_missing:
	dh_missing --fail-missing

override_dh_python3:
	dh_python3 --no-ext-rename /usr/lib/$(DEB_HOST_MULTIARCH)/gedit/plugins
	dh_python3 --no-ext-rename /usr/share/gedit/plugins

## gedit-plugins 3.32.0

=== debian/changelog ===
gedit-plugins (3.32.0-1ubuntu1) eoan; urgency=medium

  * debian/rules: libgedit is no longer on the library path, so set
    LD_LIBRARY_PATH for dh_shlibdeps.

 -- Steve Langasek <steve.langasek@ubuntu.com>  Wed, 28 Aug 2019 14:12:10 -0700

gedit-plugins (3.32.0-1) experimental; urgency=medium

  * New upstream release

 -- Jeremy Bicha <jbicha@debian.org>  Sun, 10 Mar 2019 21:13:09 -0400

=== debian/control ===
--- 
+++ 
@@ -5,8 +5,9 @@
 Source: gedit-plugins
 Section: gnome
 Priority: optional
-Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
-Uploaders: Jeremy Bicha <jbicha@debian.org>, Laurent Bigonville <bigon@debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
+Uploaders: Jeremy Bicha <jbicha@debian.org>
 Build-Depends: debhelper (>= 11),
                appstream,
                dh-python (>= 1.20130902),

=== debian/rules ===
--- 
+++ 
@@ -2,11 +2,15 @@
 
 export DEB_BUILD_MAINT_OPTIONS = hardening=+all
 export DEB_LDFLAGS_MAINT_APPEND = -Wl,-O1 -Wl,--as-needed
+export DEB_HOST_MULTIARCH ?= $(shell dpkg-architecture -qDEB_HOST_MULTIARCH)
 
 export PYTHON = /usr/bin/python3
 
 %:
 	dh $@ --with gnome,python3
+
+override_dh_shlibdeps:
+	LD_LIBRARY_PATH=/usr/lib/$(DEB_HOST_MULTIARCH)/gedit dh_shlibdeps 
 
 override_dh_autoreconf:
 	NOCONFIGURE=true dh_autoreconf ./autogen.sh

## gedit-plugins 3.34.0

=== debian/changelog ===
gedit-plugins (3.34.0-3) unstable; urgency=medium

  * Bump Standards-Version to 4.4.1

 -- Jeremy Bicha <jbicha@debian.org>  Sat, 12 Oct 2019 21:15:39 -0400

gedit-plugins (3.34.0-2) unstable; urgency=medium

  * Cherry-pick Revert-Remove-synctex-plugin.patch
  * Revert "update for Synctex plugin being removed"
  * debian/gedit-plugin-synctex.install: Install new help files
  * Build-Depend on dh-sequence-gnome and dh-sequence-python3

 -- Jeremy Bicha <jbicha@debian.org>  Thu, 26 Sep 2019 07:21:44 -0400

gedit-plugins (3.34.0-1) unstable; urgency=medium

  * New upstream release
  * control: update build-deps as per meson.build
  * Switch to debhelper compat 12
  * Build with Meson
  * update for Synctex plugin being removed
  * Add new plugin Session Saver
  * rules: add dh_shlibdeps override to find libgedit-3.14.so
  * Remove remnants related to dashboard plugin its been dropped upstream now
  * Demote gedit-plugins-zeitgeist to recommends (Closes: #940959)

 -- Tim Lunn <tim@feathertop.org>  Wed, 25 Sep 2019 20:26:56 +1000

=== debian/control ===
--- 
+++ 
@@ -5,30 +5,30 @@
 Source: gedit-plugins
 Section: gnome
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
-Uploaders: Jeremy Bicha <jbicha@debian.org>
-Build-Depends: debhelper (>= 11),
+Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
+Uploaders: Jeremy Bicha <jbicha@debian.org>, Tim Lunn <tim@feathertop.org>
+Build-Depends: debhelper-compat (= 12),
+               dh-sequence-gnome,
+               dh-sequence-python3,
+               meson (>= 0.49.0),
                appstream,
-               dh-python (>= 1.20130902),
-               yelp-tools,
-               gnome-pkg-tools (>= 0.11),
+               itstool,
                libdbus-1-dev,
                libgit2-glib-1.0-dev (>= 0.0.6),
                libglib2.0-dev (>= 2.32.0),
                libgtk-3-dev (>= 3.9.0),
                libgtksourceview-4-dev,
                libgucharmap-2-90-dev,
-               libpeas-dev (>= 1.7.0),
+               libpeas-dev (>= 1.14.1),
                valac (>= 0.28.0),
                libvte-2.91-dev,
-               libzeitgeist-2.0-dev,
+               libzeitgeist-2.0-dev (>= 0.9.12),
                gedit-dev (>= 3.16.0),
                python3,
                python3-dbus (>= 0.83.1),
                python-dbus-dev,
                python3-gi
-Standards-Version: 4.3.0
+Standards-Version: 4.4.1
 Vcs-Browser: https://salsa.debian.org/gnome-team/gedit-plugins
 Vcs-Git: https://salsa.debian.org/gnome-team/gedit-plugins.git
 Homepage: https://wiki.gnome.org/Apps/Gedit#Plugins
@@ -44,17 +44,18 @@
          gedit-plugin-color-picker,
          gedit-plugin-color-schemer,
          gedit-plugin-commander,
-#         gedit-plugin-dashboard,
          gedit-plugin-draw-spaces,
          gedit-plugin-find-in-files,
          gedit-plugin-git,
          gedit-plugin-join-lines,
          gedit-plugin-multi-edit,
+         gedit-plugin-session-saver,
          gedit-plugin-smart-spaces,
          gedit-plugin-synctex,
          gedit-plugin-terminal,
          gedit-plugin-translate,
          gedit-plugin-word-completion,
+Recommends:
          gedit-plugin-zeitgeist
 Enhances: gedit
 Description: set of plugins for gedit
@@ -288,6 +289,24 @@
  .
  This plugin enables editing a document in multiple places at once.
 
+Package: gedit-plugin-session-saver
+Architecture: any
+Depends: ${shlibs:Depends},
+         ${misc:Depends},
+         ${python3:Depends},
+         gedit (>= ${gnome:Version}),
+         gedit-plugins-common (>= ${source:Version}),
+         gir1.2-glib-2.0,
+         gir1.2-gtk-3.0,
+         python3-gi
+Enhances: gedit
+Breaks: gedit-plugins (<< 3.22.0-2~)
+Replaces: gedit-plugins (<< 3.22.0-2~)
+Description: Session Saver plugin for gedit
+ gedit-plugins contain a set of plugins for gedit, GNOME's text editor.
+ .
+ This plugin enables saving and restoring a working session.
+
 Package: gedit-plugin-smart-spaces
 Architecture: any
 Depends: ${shlibs:Depends},
@@ -347,22 +366,3 @@
 Description: Terminal plugin for gedit
  gedit-plugins contain a set of plugins for gedit, GNOME's text editor.
  .
- This plugin embeds a terminal in the bottom pane.
-
-Package: gedit-plugin-text-size
-Architecture: any
-Depends: ${shlibs:Depends},
-         ${misc:Depends},
-         ${python3:Depends},
-         gedit (>= ${gnome:Version}),
-         gedit-plugins-common (>= ${source:Version}),
-         gir1.2-glib-2.0,
-         gir1.2-gtk-3.0,
-         gir1.2-pango-1.0,
-         python3-gi
-Enhances: gedit
-Breaks: gedit-plugins (<< 3.22.0-2~)
-Replaces: gedit-plugins (<< 3.22.0-2~)
-Description: Text Size plugin for gedit
- gedit-plugins contain a set of plugins for gedit, GNOME's text editor.
- .

## gedit-plugins 3.35.90

=== debian/changelog ===
gedit-plugins (3.35.90-1) experimental; urgency=medium

  * New upstream release
  * Drop Zeitgeist plugin; it has been removed upstream
  * Drop reverting of synctex plugin removal - this is upstream
  * control: BD on gedit 3.35.1 as required in meson.build

 -- Iain Lane <laney@debian.org>  Mon, 17 Feb 2020 16:05:37 +0000

=== debian/control ===
--- 
+++ 
@@ -6,7 +6,7 @@
 Section: gnome
 Priority: optional
 Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
-Uploaders: Jeremy Bicha <jbicha@debian.org>, Tim Lunn <tim@feathertop.org>
+Uploaders: Iain Lane <laney@debian.org>, Jeremy Bicha <jbicha@debian.org>, Tim Lunn <tim@feathertop.org>
 Build-Depends: debhelper-compat (= 12),
                dh-sequence-gnome,
                dh-sequence-python3,
@@ -22,8 +22,7 @@
                libpeas-dev (>= 1.14.1),
                valac (>= 0.28.0),
                libvte-2.91-dev,
-               libzeitgeist-2.0-dev (>= 0.9.12),
-               gedit-dev (>= 3.16.0),
+               gedit-dev (>= 3.35.1),
                python3,
                python3-dbus (>= 0.83.1),
                python-dbus-dev,
@@ -55,8 +54,6 @@
          gedit-plugin-terminal,
          gedit-plugin-translate,
          gedit-plugin-word-completion,
-Recommends:
-         gedit-plugin-zeitgeist
 Enhances: gedit
 Description: set of plugins for gedit
  gedit-plugins contain a set of plugins for gedit, GNOME's text editor.
@@ -366,3 +363,5 @@
 Description: Terminal plugin for gedit
  gedit-plugins contain a set of plugins for gedit, GNOME's text editor.
  .
+ This plugin embeds a terminal in the bottom pane.
+

=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS = hardening=+all
export DEB_LDFLAGS_MAINT_APPEND = -Wl,-O1 -Wl,--as-needed

export PYTHON = /usr/bin/python3

%:
	dh $@

override_dh_install:
	find debian/tmp -name '__pycache__' | xargs -r rm -rf
	dh_install

override_dh_missing:
	dh_missing --fail-missing

override_dh_python3:
	dh_python3 --no-ext-rename /usr/lib/$(DEB_HOST_MULTIARCH)/gedit/plugins
	dh_python3 --no-ext-rename /usr/share/gedit/plugins

override_dh_shlibdeps:
	dh_shlibdeps -Lgedit-3.14 -l/usr/lib/$(DEB_HOST_MULTIARCH)/gedit/

## gedit-plugins 3.36.0

=== debian/changelog ===
gedit-plugins (3.36.0-1) unstable; urgency=medium

  * New upstream release (Closes: #943028)
    - debian/control.in: Bump minimal gedit version to 3.36.0-3~
  * debian/rules: Remove the -L option form dh_shlibdeps, gedit-3.14 is not
    existing
  * debian/control.in: Tighten the dependency against gedit, there is no
    guarantee that the library shipped in a futur version of gedit will be
    compatible
  * debian/control.in: Bump Standards-Version to 4.5.0 (no further changes)

 -- Laurent Bigonville <bigon@debian.org>  Mon, 09 Mar 2020 16:53:17 +0100

=== debian/control ===
--- 
+++ 
@@ -6,7 +6,7 @@
 Section: gnome
 Priority: optional
 Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
-Uploaders: Iain Lane <laney@debian.org>, Jeremy Bicha <jbicha@debian.org>, Tim Lunn <tim@feathertop.org>
+Uploaders: Iain Lane <laney@debian.org>, Jeremy Bicha <jbicha@debian.org>, Laurent Bigonville <bigon@debian.org>, Tim Lunn <tim@feathertop.org>
 Build-Depends: debhelper-compat (= 12),
                dh-sequence-gnome,
                dh-sequence-python3,
@@ -22,12 +22,12 @@
                libpeas-dev (>= 1.14.1),
                valac (>= 0.28.0),
                libvte-2.91-dev,
-               gedit-dev (>= 3.35.1),
+               gedit-dev (>= 3.36.0-3~),
                python3,
                python3-dbus (>= 0.83.1),
                python-dbus-dev,
                python3-gi
-Standards-Version: 4.4.1
+Standards-Version: 4.5.0
 Vcs-Browser: https://salsa.debian.org/gnome-team/gedit-plugins
 Vcs-Git: https://salsa.debian.org/gnome-team/gedit-plugins.git
 Homepage: https://wiki.gnome.org/Apps/Gedit#Plugins
@@ -78,6 +78,7 @@
 Depends: ${shlibs:Depends},
          ${misc:Depends},
          gedit (>= ${gnome:Version}),
+         gedit (<< ${gnome:NextVersion}),
          gedit-plugins-common (>= ${source:Version})
 Enhances: gedit
 Breaks: gedit-plugins (<< 3.22.0-2~)
@@ -93,6 +94,7 @@
          ${misc:Depends},
          ${python3:Depends},
          gedit (>= ${gnome:Version}),
+         gedit (<< ${gnome:NextVersion}),
          gedit-plugins-common (>= ${source:Version}),
          gir1.2-glib-2.0,
          gir1.2-gtk-3.0,
@@ -112,6 +114,7 @@
          ${misc:Depends},
          ${python3:Depends},
          gedit (>= ${gnome:Version}),
+         gedit (<< ${gnome:NextVersion}),
          gedit-plugins-common (>= ${source:Version}),
          gir1.2-gtk-3.0,
          gir1.2-gucharmap-2.90,
@@ -130,6 +133,7 @@
          ${misc:Depends},
          ${python3:Depends},
          gedit (>= ${gnome:Version}),
+         gedit (<< ${gnome:NextVersion}),
          gedit-plugins-common (>= ${source:Version}),
          gir1.2-glib-2.0,
          gir1.2-gtk-3.0,
@@ -149,6 +153,7 @@
          ${misc:Depends},
          ${python3:Depends},
          gedit (>= ${gnome:Version}),
+         gedit (<< ${gnome:NextVersion}),
          gedit-plugins-common (>= ${source:Version}),
          gir1.2-glib-2.0,
          gir1.2-gtk-3.0,
@@ -167,6 +172,7 @@
          ${misc:Depends},
          ${python3:Depends},
          gedit (>= ${gnome:Version}),
+         gedit (<< ${gnome:NextVersion}),
          gedit-plugins-common (>= ${source:Version}),
          gir1.2-gdkpixbuf-2.0,
          gir1.2-glib-2.0,
@@ -187,6 +193,7 @@
          ${misc:Depends},
          ${python3:Depends},
          gedit (>= ${gnome:Version}),
+         gedit (<< ${gnome:NextVersion}),
          gedit-plugins-common (>= ${source:Version}),
          gir1.2-glib-2.0,
          gir1.2-gtk-3.0,
@@ -206,6 +213,7 @@
 Depends: ${shlibs:Depends},
          ${misc:Depends},
          gedit (>= ${gnome:Version}),
+         gedit (<< ${gnome:NextVersion}),
          gedit-plugins-common (>= ${source:Version})
 Enhances: gedit
 Breaks: gedit-plugins (<< 3.22.0-2~)
@@ -220,6 +228,7 @@
 Depends: ${shlibs:Depends},
          ${misc:Depends},
          gedit (>= ${gnome:Version}),
+         gedit (<< ${gnome:NextVersion}),
          gedit-plugins-common (>= ${source:Version})
 Enhances: gedit
 Breaks: gedit-plugins (<< 3.22.0-2~)
@@ -235,6 +244,7 @@
          ${misc:Depends},
          ${python3:Depends},
          gedit (>= ${gnome:Version}),
+         gedit (<< ${gnome:NextVersion}),
          gedit-plugins-common (>= ${source:Version}),
          gir1.2-ggit-1.0,
          gir1.2-glib-2.0,
@@ -254,6 +264,7 @@
          ${misc:Depends},
          ${python3:Depends},
          gedit (>= ${gnome:Version}),
+         gedit (<< ${gnome:NextVersion}),
          gedit-plugins-common (>= ${source:Version}),
          gir1.2-glib-2.0,
          gir1.2-gtk-3.0,
@@ -272,6 +283,7 @@
          ${misc:Depends},
          ${python3:Depends},
          gedit (>= ${gnome:Version}),
+         gedit (<< ${gnome:NextVersion}),
          gedit-plugins-common (>= ${source:Version}),
          gir1.2-glib-2.0,
          gir1.2-gtk-3.0,
@@ -292,6 +304,7 @@
          ${misc:Depends},
          ${python3:Depends},
          gedit (>= ${gnome:Version}),
+         gedit (<< ${gnome:NextVersion}),
          gedit-plugins-common (>= ${source:Version}),
          gir1.2-glib-2.0,
          gir1.2-gtk-3.0,
@@ -310,6 +323,7 @@
          ${misc:Depends},
          ${python3:Depends},
          gedit (>= ${gnome:Version}),
+         gedit (<< ${gnome:NextVersion}),
          gedit-plugins-common (>= ${source:Version}),
          gir1.2-glib-2.0,
          gir1.2-gtk-3.0,
@@ -328,6 +342,7 @@
 Depends: ${shlibs:Depends},
          ${misc:Depends},
          gedit (>= ${gnome:Version}),
+         gedit (<< ${gnome:NextVersion}),
          gedit-plugins-common (>= ${source:Version}),
          ${python3:Depends},
          gir1.2-glib-2.0,
@@ -342,26 +357,3 @@
 Description: SyncTex plugin for gedit
  gedit-plugins contain a set of plugins for gedit, GNOME's text editor.
  .
- This plugin synchronizes between LaTex (using gedit) and PDF (using evince).
-
-Package: gedit-plugin-terminal
-Architecture: any
-Depends: ${shlibs:Depends},
-         ${misc:Depends},
-         ${python3:Depends},
-         gedit (>= ${gnome:Version}),
-         gedit-plugins-common (>= ${source:Version}),
-         gir1.2-glib-2.0,
-         gir1.2-gtk-3.0,
-         gir1.2-pango-1.0,
-         gir1.2-peas-1.0,
-         gir1.2-vte-2.91,
-         python3-gi
-Enhances: gedit
-Breaks: gedit-plugins (<< 3.22.0-2~)
-Replaces: gedit-plugins (<< 3.22.0-2~)
-Description: Terminal plugin for gedit
- gedit-plugins contain a set of plugins for gedit, GNOME's text editor.
- .
- This plugin embeds a terminal in the bottom pane.
-

## gedit-plugins 3.36.2

=== debian/changelog ===
gedit-plugins (3.36.2-1) unstable; urgency=medium

  * New upstream release

 -- Olivier Tilloy <olivier.tilloy@canonical.com>  Tue, 24 Mar 2020 18:58:52 +0100

=== debian/control ===
--- 
+++ 
@@ -6,7 +6,7 @@
 Section: gnome
 Priority: optional
 Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
-Uploaders: Iain Lane <laney@debian.org>, Jeremy Bicha <jbicha@debian.org>, Laurent Bigonville <bigon@debian.org>, Tim Lunn <tim@feathertop.org>
+Uploaders: Iain Lane <laney@debian.org>, Jeremy Bicha <jbicha@debian.org>, Tim Lunn <tim@feathertop.org>
 Build-Depends: debhelper-compat (= 12),
                dh-sequence-gnome,
                dh-sequence-python3,
@@ -357,3 +357,5 @@
 Description: SyncTex plugin for gedit
  gedit-plugins contain a set of plugins for gedit, GNOME's text editor.
  .
+ This plugin synchronizes between LaTex (using gedit) and PDF (using evince).
+

## gedit-plugins 3.38.0

=== debian/changelog ===
gedit-plugins (3.38.0-1) experimental; urgency=medium

  * New upstream release
  * debian/control{,.in}:
    - Bump meson build dependency requirement to 0.50
    - Bump gedit-dev build dependency requirement to 3.38
    - Add the following runtime dependency to the gedit-plugins package,
      as this plugin was missing: gedit-plugin-text-size

 -- Olivier Tilloy <olivier.tilloy@canonical.com>  Wed, 07 Oct 2020 10:17:00 +0100

=== debian/control ===
--- 
+++ 
@@ -10,7 +10,7 @@
 Build-Depends: debhelper-compat (= 12),
                dh-sequence-gnome,
                dh-sequence-python3,
-               meson (>= 0.49.0),
+               meson (>= 0.50),
                appstream,
                itstool,
                libdbus-1-dev,
@@ -22,7 +22,7 @@
                libpeas-dev (>= 1.14.1),
                valac (>= 0.28.0),
                libvte-2.91-dev,
-               gedit-dev (>= 3.36.0-3~),
+               gedit-dev (>= 3.38),
                python3,
                python3-dbus (>= 0.83.1),
                python-dbus-dev,
@@ -52,6 +52,7 @@
          gedit-plugin-smart-spaces,
          gedit-plugin-synctex,
          gedit-plugin-terminal,
+         gedit-plugin-text-size,
          gedit-plugin-translate,
          gedit-plugin-word-completion,
 Enhances: gedit
@@ -357,5 +358,3 @@
 Description: SyncTex plugin for gedit
  gedit-plugins contain a set of plugins for gedit, GNOME's text editor.
  .
- This plugin synchronizes between LaTex (using gedit) and PDF (using evince).
-

## gedit-plugins 3.38.1

=== meson_options.txt ===
option('plugin_bookmarks', type: 'boolean')
option('plugin_bracketcompletion', type: 'boolean')
option('plugin_charmap', type: 'boolean')
option('plugin_codecomment', type: 'boolean')
option('plugin_colorpicker', type: 'boolean')
option('plugin_colorschemer', type: 'boolean')
option('plugin_commander', type: 'boolean')
option('plugin_drawspaces', type: 'boolean')
option('plugin_findinfiles', type: 'boolean')
option('plugin_git', type: 'boolean')
option('plugin_joinlines', type: 'boolean')
option('plugin_multiedit', type: 'boolean')
option('plugin_sessionsaver', type: 'boolean')
option('plugin_smartspaces', type: 'boolean')
option('plugin_synctex', type: 'boolean')
option('plugin_terminal', type: 'boolean')
option('plugin_textsize', type: 'boolean')
option('plugin_translate', type: 'boolean')
option('plugin_wordcompletion', type: 'boolean')

=== debian/changelog ===
gedit-plugins (3.38.1-1) unstable; urgency=medium

  * New upstream release

 -- Laurent Bigonville <bigon@debian.org>  Tue, 08 Dec 2020 10:00:22 +0100

=== debian/control ===
--- 
+++ 
@@ -6,7 +6,7 @@
 Section: gnome
 Priority: optional
 Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
-Uploaders: Iain Lane <laney@debian.org>, Jeremy Bicha <jbicha@debian.org>, Tim Lunn <tim@feathertop.org>
+Uploaders: Iain Lane <laney@debian.org>, Jeremy Bicha <jbicha@debian.org>, Laurent Bigonville <bigon@debian.org>, Tim Lunn <tim@feathertop.org>
 Build-Depends: debhelper-compat (= 12),
                dh-sequence-gnome,
                dh-sequence-python3,

=== debian/rules ===
--- 
+++ 
@@ -20,4 +20,4 @@
 	dh_python3 --no-ext-rename /usr/share/gedit/plugins
 
 override_dh_shlibdeps:
-	dh_shlibdeps -Lgedit-3.14 -l/usr/lib/$(DEB_HOST_MULTIARCH)/gedit/
+	dh_shlibdeps -l/usr/lib/$(DEB_HOST_MULTIARCH)/gedit/

## gedit-plugins 40.1

=== debian/changelog ===
gedit-plugins (40.1-2) unstable; urgency=medium

  * debian/rules: Simplify a bit
  * Upload to unstable

 -- Jeremy Bicha <jbicha@debian.org>  Wed, 01 Sep 2021 07:42:59 -0400

gedit-plugins (40.1-1) experimental; urgency=medium

  [ Olivier Tilloy ]
  * New upstream release
  * debian/control{,.in}:
    - bump build dependency on gedit-dev (>= 40.0)
    - bump Standards-Version to 4.5.1 (no changes required)
  * debian/gedit-plugin-smart-spaces.install: make sure the new shared library
    is installed

  [ Iain Lane ]
  * control: Bump gnome-pkg-tools (dh-sequence-gnome) to 0.22. For the new
    GNOME versioning scheme.

 -- Olivier Tilloy <olivier.tilloy@canonical.com>  Wed, 23 Jun 2021 10:59:10 +0100

gedit-plugins (3.38.2-1) experimental; urgency=medium

  * New upstream release

 -- Sebastien Bacher <seb128@ubuntu.com>  Thu, 20 May 2021 21:42:26 +0200

=== debian/rules ===
--- 
+++ 
@@ -1,16 +1,10 @@
 #!/usr/bin/make -f
 
 export DEB_BUILD_MAINT_OPTIONS = hardening=+all
-export DEB_LDFLAGS_MAINT_APPEND = -Wl,-O1 -Wl,--as-needed
-
-export PYTHON = /usr/bin/python3
+export DEB_LDFLAGS_MAINT_APPEND = -Wl,-O1
 
 %:
 	dh $@
-
-override_dh_install:
-	find debian/tmp -name '__pycache__' | xargs -r rm -rf
-	dh_install
 
 override_dh_missing:
 	dh_missing --fail-missing

## gedit-plugins 41.0

=== debian/changelog ===
gedit-plugins (41.0-1) unstable; urgency=medium

  * New upstream release (Closes: #997937)
  * Bump debhelper-compat to 13

 -- Jeremy Bicha <jeremy.bicha@canonical.com>  Wed, 16 Feb 2022 09:35:18 -0500

=== debian/control ===
--- 
+++ 
@@ -7,8 +7,8 @@
 Priority: optional
 Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
 Uploaders: Iain Lane <laney@debian.org>, Jeremy Bicha <jbicha@debian.org>, Laurent Bigonville <bigon@debian.org>, Tim Lunn <tim@feathertop.org>
-Build-Depends: debhelper-compat (= 12),
-               dh-sequence-gnome,
+Build-Depends: debhelper-compat (= 13),
+               dh-sequence-gnome (>= 0.22),
                dh-sequence-python3,
                meson (>= 0.50),
                appstream,
@@ -22,12 +22,12 @@
                libpeas-dev (>= 1.14.1),
                valac (>= 0.28.0),
                libvte-2.91-dev,
-               gedit-dev (>= 3.38),
+               gedit-dev (>= 40.0),
                python3,
                python3-dbus (>= 0.83.1),
                python-dbus-dev,
                python3-gi
-Standards-Version: 4.5.0
+Standards-Version: 4.5.1
 Vcs-Browser: https://salsa.debian.org/gnome-team/gedit-plugins
 Vcs-Git: https://salsa.debian.org/gnome-team/gedit-plugins.git
 Homepage: https://wiki.gnome.org/Apps/Gedit#Plugins

=== debian/rules ===
--- 
+++ 
@@ -6,9 +6,6 @@
 %:
 	dh $@
 
-override_dh_missing:
-	dh_missing --fail-missing
-
 override_dh_python3:
 	dh_python3 --no-ext-rename /usr/lib/$(DEB_HOST_MULTIARCH)/gedit/plugins
 	dh_python3 --no-ext-rename /usr/share/gedit/plugins

## gedit-plugins 42.0

=== debian/changelog ===
gedit-plugins (42.0-1) unstable; urgency=medium

  * New upstream release
  * Update package description

 -- Jeremy Bicha <jbicha@ubuntu.com>  Mon, 04 Apr 2022 10:57:24 -0400

## gedit-plugins 42.1

=== debian/changelog ===
gedit-plugins (42.1-1) unstable; urgency=medium

  * Team upload
  * New upstream release

 -- Nathan Pratta Teodosio <nathan.teodosio@canonical.com>  Fri, 27 May 2022 11:22:27 -0300

=== debian/control ===
--- 
+++ 
@@ -6,7 +6,7 @@
 Section: gnome
 Priority: optional
 Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
-Uploaders: Iain Lane <laney@debian.org>, Jeremy Bicha <jbicha@debian.org>, Laurent Bigonville <bigon@debian.org>, Tim Lunn <tim@feathertop.org>
+Uploaders: Iain Lane <laney@debian.org>, Jeremy Bicha <jbicha@ubuntu.com>, Laurent Bigonville <bigon@debian.org>, Michael Biebl <biebl@debian.org>, Tim Lunn <tim@feathertop.org>
 Build-Depends: debhelper-compat (= 13),
                dh-sequence-gnome (>= 0.22),
                dh-sequence-python3,
@@ -57,7 +57,7 @@
          gedit-plugin-word-completion,
 Enhances: gedit
 Description: set of plugins for gedit
- gedit-plugins contain a set of plugins for gedit, GNOME's text editor.
+ gedit-plugins contain a set of plugins for gedit.
  .
  The plugins are now split in separate packages; this metapackage brings all
  of them but they can be installed separately.
@@ -70,7 +70,7 @@
 Breaks: gedit-plugins (<< 3.22.0-2~)
 Replaces: gedit-plugins (<< 3.22.0-2~)
 Description: common files for gedit-plugins
- gedit-plugins contain a set of plugins for gedit, GNOME's text editor.
+ gedit-plugins contain a set of plugins for gedit.
  .
  This package contains common data files and translations.
 
@@ -85,7 +85,7 @@
 Breaks: gedit-plugins (<< 3.22.0-2~)
 Replaces: gedit-plugins (<< 3.22.0-2~)
 Description: Bookmarks plugin for gedit
- gedit-plugins contain a set of plugins for gedit, GNOME's text editor.
+ gedit-plugins contain a set of plugins for gedit.
  .
  This plugin enables easy document navigation with bookmarks.
 
@@ -105,7 +105,7 @@
 Breaks: gedit-plugins (<< 3.22.0-2~)
 Replaces: gedit-plugins (<< 3.22.0-2~)
 Description: Bracket Completion plugin for gedit
- gedit-plugins contain a set of plugins for gedit, GNOME's text editor.
+ gedit-plugins contain a set of plugins for gedit.
  .
  This plugin automatically adds closing brackets.
 
@@ -124,7 +124,7 @@
 Breaks: gedit-plugins (<< 3.22.0-2~)
 Replaces: gedit-plugins (<< 3.22.0-2~)
 Description: Character Map plugin for gedit
- gedit-plugins contain a set of plugins for gedit, GNOME's text editor.
+ gedit-plugins contain a set of plugins for gedit.
  .
  This plugin allows inserting special characters just by clicking on them.
 
@@ -144,7 +144,7 @@
 Breaks: gedit-plugins (<< 3.22.0-2~)
 Replaces: gedit-plugins (<< 3.22.0-2~)
 Description: Code Comment plugin for gedit
- gedit-plugins contain a set of plugins for gedit, GNOME's text editor.
+ gedit-plugins contain a set of plugins for gedit.
  .
  This plugin enables commenting or uncommenting blocks of code.
 
@@ -163,7 +163,7 @@
 Breaks: gedit-plugins (<< 3.22.0-2~)
 Replaces: gedit-plugins (<< 3.22.0-2~)
 Description: Color Picker plugin for gedit
- gedit-plugins contain a set of plugins for gedit, GNOME's text editor.
+ gedit-plugins contain a set of plugins for gedit.
  .
  This plugin inserts the hexademical representation of a selected color.
 
@@ -184,7 +184,7 @@
 Breaks: gedit-plugins (<< 3.22.0-2~)
 Replaces: gedit-plugins (<< 3.22.0-2~)
 Description: Color Schemer plugin for gedit
- gedit-plugins contain a set of plugins for gedit, GNOME's text editor.
+ gedit-plugins contain a set of plugins for gedit.
  .
  This plugin enables editing the color scheme used to display source code.
 
@@ -205,7 +205,7 @@
 Breaks: gedit-plugins (<< 3.22.0-2~)
 Replaces: gedit-plugins (<< 3.22.0-2~)
 Description: Commander plugin for gedit
- gedit-plugins contain a set of plugins for gedit, GNOME's text editor.
+ gedit-plugins contain a set of plugins for gedit.
  .
  This plugin adds a command line interface for advanced editing.
 
@@ -220,7 +220,7 @@
 Breaks: gedit-plugins (<< 3.22.0-2~)
 Replaces: gedit-plugins (<< 3.22.0-2~)
 Description: Draw Spaces plugin for gedit
- gedit-plugins contain a set of plugins for gedit, GNOME's text editor.
+ gedit-plugins contain a set of plugins for gedit.
  .
  This plugin shows a visual representation of spaces and tabs.
 
@@ -235,7 +235,7 @@
 Breaks: gedit-plugins (<< 3.22.0-2~)
 Replaces: gedit-plugins (<< 3.22.0-2~)
 Description: Find in Files plugin for gedit
- gedit-plugins contain a set of plugins for gedit, GNOME's text editor.
+ gedit-plugins contain a set of plugins for gedit.
  .
  This plugin enables searching for text in all files of a folder.
 
@@ -255,7 +255,7 @@
          python3-gi-cairo
 Enhances: gedit
 Description: Git plugin for gedit
- gedit-plugins contain a set of plugins for gedit, GNOME's text editor.
+ gedit-plugins contain a set of plugins for gedit.
  .
  This plugin highlight lines that have been changed since the last git commit.
 
@@ -274,7 +274,7 @@
 Breaks: gedit-plugins (<< 3.22.0-2~)
 Replaces: gedit-plugins (<< 3.22.0-2~)
 Description: Join/Split Lines plugin for gedit
- gedit-plugins contain a set of plugins for gedit, GNOME's text editor.
+ gedit-plugins contain a set of plugins for gedit.
  .
  This plugin enables joining several lines or splitting long lines.
 
@@ -295,7 +295,7 @@
 Breaks: gedit-plugins (<< 3.22.0-2~)
 Replaces: gedit-plugins (<< 3.22.0-2~)
 Description: Multi Edit plugin for gedit
- gedit-plugins contain a set of plugins for gedit, GNOME's text editor.
+ gedit-plugins contain a set of plugins for gedit.
  .
  This plugin enables editing a document in multiple places at once.
 
@@ -314,7 +314,7 @@
 Breaks: gedit-plugins (<< 3.22.0-2~)
 Replaces: gedit-plugins (<< 3.22.0-2~)
 Description: Session Saver plugin for gedit
- gedit-plugins contain a set of plugins for gedit, GNOME's text editor.
+ gedit-plugins contain a set of plugins for gedit.
  .
  This plugin enables saving and restoring a working session.
 
@@ -334,7 +334,7 @@
 Breaks: gedit-plugins (<< 3.22.0-2~)
 Replaces: gedit-plugins (<< 3.22.0-2~)
 Description: Smart Spaces plugin for gedit
- gedit-plugins contain a set of plugins for gedit, GNOME's text editor.
+ gedit-plugins contain a set of plugins for gedit.
  .
  This plugin inserts spaces automatically when pressing the tab key.
 
@@ -356,5 +356,15 @@
 Breaks: gedit-plugins (<< 3.22.0-2~)
 Replaces: gedit-plugins (<< 3.22.0-2~)
 Description: SyncTex plugin for gedit
- gedit-plugins contain a set of plugins for gedit, GNOME's text editor.
- .
+ gedit-plugins contain a set of plugins for gedit.
+ .
+ This plugin synchronizes between LaTex (using gedit) and PDF (using evince).
+
+Package: gedit-plugin-terminal
+Architecture: any
+Depends: ${shlibs:Depends},
+         ${misc:Depends},
+         ${python3:Depends},
+         gedit (>= ${gnome:Version}),
+         gedit (<< ${gnome:NextVersion}),
+         gedit-plugins-common (>= ${source:Version}),

## gedit-plugins 43.1

=== debian/changelog ===
gedit-plugins (43.1-1) unstable; urgency=medium

  [ Jeremy Bicha ]
  * New upstream release
    - The commander, find-in-files, & translate plugins have been dropped
  * debian/control.in: Bump minimum gedit to 43
  * debian/docs: AUTHORS is no longer provided

  [ Debian Janitor ]
  * Trim trailing whitespace
  * Set upstream metadata fields
  * Update standards version to 4.6.1, no changes needed

 -- Jeremy Bicha <jbicha@ubuntu.com>  Fri, 18 Nov 2022 08:27:44 -0500

=== debian/control ===
--- 
+++ 
@@ -22,12 +22,12 @@
                libpeas-dev (>= 1.14.1),
                valac (>= 0.28.0),
                libvte-2.91-dev,
-               gedit-dev (>= 40.0),
+               gedit-dev (>= 43.0),
                python3,
                python3-dbus (>= 0.83.1),
                python-dbus-dev,
                python3-gi
-Standards-Version: 4.5.1
+Standards-Version: 4.6.1
 Vcs-Browser: https://salsa.debian.org/gnome-team/gedit-plugins
 Vcs-Git: https://salsa.debian.org/gnome-team/gedit-plugins.git
 Homepage: https://wiki.gnome.org/Apps/Gedit#Plugins
@@ -42,9 +42,7 @@
          gedit-plugin-code-comment,
          gedit-plugin-color-picker,
          gedit-plugin-color-schemer,
-         gedit-plugin-commander,
          gedit-plugin-draw-spaces,
-         gedit-plugin-find-in-files,
          gedit-plugin-git,
          gedit-plugin-join-lines,
          gedit-plugin-multi-edit,
@@ -53,7 +51,6 @@
          gedit-plugin-synctex,
          gedit-plugin-terminal,
          gedit-plugin-text-size,
-         gedit-plugin-translate,
          gedit-plugin-word-completion,
 Enhances: gedit
 Description: set of plugins for gedit
@@ -188,27 +185,6 @@
  .
  This plugin enables editing the color scheme used to display source code.
 
-Package: gedit-plugin-commander
-Architecture: any
-Depends: ${shlibs:Depends},
-         ${misc:Depends},
-         ${python3:Depends},
-         gedit (>= ${gnome:Version}),
-         gedit (<< ${gnome:NextVersion}),
-         gedit-plugins-common (>= ${source:Version}),
-         gir1.2-glib-2.0,
-         gir1.2-gtk-3.0,
-         gir1.2-pango-1.0,
-         python3-cairo,
-         python3-gi
-Enhances: gedit
-Breaks: gedit-plugins (<< 3.22.0-2~)
-Replaces: gedit-plugins (<< 3.22.0-2~)
-Description: Commander plugin for gedit
- gedit-plugins contain a set of plugins for gedit.
- .
- This plugin adds a command line interface for advanced editing.
-
 Package: gedit-plugin-draw-spaces
 Architecture: any
 Depends: ${shlibs:Depends},
@@ -223,21 +199,6 @@
  gedit-plugins contain a set of plugins for gedit.
  .
  This plugin shows a visual representation of spaces and tabs.
-
-Package: gedit-plugin-find-in-files
-Architecture: any
-Depends: ${shlibs:Depends},
-         ${misc:Depends},
-         gedit (>= ${gnome:Version}),
-         gedit (<< ${gnome:NextVersion}),
-         gedit-plugins-common (>= ${source:Version})
-Enhances: gedit
-Breaks: gedit-plugins (<< 3.22.0-2~)
-Replaces: gedit-plugins (<< 3.22.0-2~)
-Description: Find in Files plugin for gedit
- gedit-plugins contain a set of plugins for gedit.
- .
- This plugin enables searching for text in all files of a folder.
 
 Package: gedit-plugin-git
 Architecture: any
@@ -368,3 +329,43 @@
          gedit (>= ${gnome:Version}),
          gedit (<< ${gnome:NextVersion}),
          gedit-plugins-common (>= ${source:Version}),
+         gir1.2-glib-2.0,
+         gir1.2-gtk-3.0,
+         gir1.2-pango-1.0,
+         gir1.2-peas-1.0,
+         gir1.2-vte-2.91,
+         python3-gi
+Enhances: gedit
+Breaks: gedit-plugins (<< 3.22.0-2~)
+Replaces: gedit-plugins (<< 3.22.0-2~)
+Description: Terminal plugin for gedit
+ gedit-plugins contain a set of plugins for gedit.
+ .
+ This plugin embeds a terminal in the bottom pane.
+
+Package: gedit-plugin-text-size
+Architecture: any
+Depends: ${shlibs:Depends},
+         ${misc:Depends},
+         ${python3:Depends},
+         gedit (>= ${gnome:Version}),
+         gedit (<< ${gnome:NextVersion}),
+         gedit-plugins-common (>= ${source:Version}),
+         gir1.2-glib-2.0,
+         gir1.2-gtk-3.0,
+         gir1.2-pango-1.0,
+         python3-gi
+Enhances: gedit
+Breaks: gedit-plugins (<< 3.22.0-2~)
+Replaces: gedit-plugins (<< 3.22.0-2~)
+Description: Text Size plugin for gedit
+ gedit-plugins contain a set of plugins for gedit.
+ .
+ This plugin enables easily increasing and decreasing the text size.
+
+Package: gedit-plugin-word-completion
+Architecture: any
+Depends: ${shlibs:Depends},
+         ${misc:Depends},
+         gedit (>= ${gnome:Version}),
+         gedit (<< ${gnome:NextVersion}),
